Update Model
curl --request PATCH \
--url https://api.egp.scale.com/v5/models/{model_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"model_metadata": {}
}
'import requests
url = "https://api.egp.scale.com/v5/models/{model_id}"
payload = { "model_metadata": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_metadata: {}})
};
fetch('https://api.egp.scale.com/v5/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"object": "model",
"vendor_configuration": {
"model_image": {
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"command": [
"<string>"
],
"predict_route": "/predict",
"streaming_predict_route": "<string>",
"streaming_command": [
"<string>"
],
"request_schema": {},
"response_schema": {},
"env_vars": {},
"readiness_delay": 120,
"healthcheck_route": "/readyz"
},
"model_infra": {
"endpoint_type": "sync",
"cpus": 3,
"gpus": 0,
"memory": "8Gi",
"storage": "16Gi",
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"high_priority": false,
"labels": {},
"public_inference": false
}
},
"status_reason": "<string>",
"model_metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Models
Update Model
PATCH
/
v5
/
models
/
{model_id}
Update Model
Authorizations
Headers
Path Parameters
Body
application/json
- DefaultModelPatchRequest
- ModelConfigurationPatchRequest
- SwapNamesModelPatchRequest
Response
Successful Response
Available options:
generic, completion, chat_completion Available options:
openai, cohere, vertex_ai, anthropic, azure, gemini, launch, llmengine, model_zoo, bedrock, xai, fireworks_ai Available options:
failed, ready, deploying, deployment_timeout Available options:
user, service_account Allowed value:
"model"- LaunchVendorConfiguration
- LLMEngineVendorConfiguration
Show child attributes
Show child attributes
Available options:
unknown, available, unavailable ⌘I

